<template>
  <div class="page-list">
    <router-link v-if="!isRoot" :to="parentRoute">..</router-link>
    <PageListItem v-for="route in childRoutes" :key="route.id" :item="route" />
  </div>
</template>

<script>
import { computed } from 'vue'
import { useRouter } from 'vue-router'
import PageListItem from './page-list-item.vue'

export default {
  name: 'PageList',
  components: {
    PageListItem,
  },
  props: {
    id: { type: Number, required: true },
    offset: { type: Number, required: true },
    limit: { type: Number, required: true },
  },
  setup(props) {
    const router = useRouter()

    const isRoot = computed(() => {
      return props.id === 1
    })

    const parentRoute = computed(() => {
      return { name: 'content-page', params: { id: currentRoute.value.parentId } }
    })

    const currentRoute = computed(() => {
      return routes.value.find((x) => x.meta.id === props.id)
    })

    const childRoutes = computed(() => {
      return routes.value.filter((x) => x.parentId === props.id)
    })

    const routes = computed(() => {
      return router.getRoutes()
    })

    return {
      isRoot,
      parentRoute,
      childRoutes,
    }
  },
}
</script>
